Bug 260760 - graphics/wayland: update package description
Summary: graphics/wayland: update package description
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-12-28 16:08 UTC by Jan Beich
Modified: 2022-01-23 14:28 UTC (History)
1 user (show)

See Also:
manu: maintainer-feedback+
jbeich: merge-quarterly+


Attachments
v1 (apply via "git am") (1.73 KB, patch)
2021-12-28 16:08 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-12-28 16:08:49 UTC
Created attachment 230500 [details]
v1 (apply via "git am")

"wayland" the package (upstream often calls it "libwayland") mainly provides C implementation for client (libwayland-client.so) and server (libwayland-server.so) side as well as glue generator (wayland-scanner) for extensions. With official FreeBSD support users can now report bugs directly to upstream. So, populate pkg-descr via upstream README.md and COMMENT via GitLab project one-line summary.

https://wayland-book.com/libwayland.html
https://wayland.freedesktop.org/docs/html/apb.html

Also, the intro line in pkg-descr is dated/contentious. GNOME/Wayland is not supported at all (bug 258042) and KDE/Wayland is unstable (fixed but broke again), so after ~3 years wlroots (sway, hikari, wayfire, cage, river, labwc, kwinft) remains the best supported on FreeBSD.
Comment 1 Jan Beich freebsd_committer 2022-01-23 13:29:26 UTC
For an example how new users can get confused see https://gist.github.com/probonopd/9feb7c20257af5dd915e3a9f2d1f2277#gistcomment-4031973
Comment 2 commit-hook freebsd_committer 2022-01-23 14:26:57 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c5d403269e7f3e92d8e6b4dc923a2a6377485d83

commit c5d403269e7f3e92d8e6b4dc923a2a6377485d83
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-12-26 15:08:33 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 14:25:35 +0000

    graphics/wayland: update package description

    - This package doesn't have a standalone server
    - FreeBSD is supported upstream since 571ee96df4f6
    - Avoid contentious and out-of-date introduction

    PR:             260760
    Approved by:    manu

 graphics/wayland/Makefile  | 2 +-
 graphics/wayland/pkg-descr | 5 -----
 2 files changed, 1 insertion(+), 6 deletions(-)
Comment 3 commit-hook freebsd_committer 2022-01-23 14:26:58 UTC
A commit in branch 2022Q1 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=89e15cc9d3149357ef2646474356f5c4e12cc441

commit 89e15cc9d3149357ef2646474356f5c4e12cc441
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-12-26 15:08:33 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-23 14:26:22 +0000

    graphics/wayland: update package description

    - This package doesn't have a standalone server
    - FreeBSD is supported upstream since 571ee96df4f6
    - Avoid contentious and out-of-date introduction

    PR:             260760
    Approved by:    manu

    (cherry picked from commit c5d403269e7f3e92d8e6b4dc923a2a6377485d83)

 graphics/wayland/Makefile  | 2 +-
 graphics/wayland/pkg-descr | 5 -----
 2 files changed, 1 insertion(+), 6 deletions(-)